package com.prolog.eis.utils;

import com.prolog.eis.constants.cache.EisCache;

import java.util.concurrent.ConcurrentHashMap;

public class PalletDismantlePosStrategyConfig {

    public static ConcurrentHashMap<Integer, String> getStrategyConfig(){
        EisCache.PALLET_POSITIONING_STRATEGY_MAP.put(1, "com.prolog.eis.pallet_positioning.ClearTrayStrategy");
//        EisCache.PALLET_POSITIONING_STRATEGY_MAP.put(1, "com.prolog.eis.pallet_positioning.PalletTaskStrategy");
        EisCache.PALLET_POSITIONING_STRATEGY_MAP.put(2, "com.prolog.eis.pallet_positioning.LessTaskStrategy");
        EisCache.PALLET_POSITIONING_STRATEGY_MAP.put(3, "com.prolog.eis.pallet_positioning.MoveNumStrategy");
        return EisCache.PALLET_POSITIONING_STRATEGY_MAP;
    }
}
